Subject: [v6ops] I-D Action: draft-ietf-v6ops-rfc7084-bis-01.txt

From: [email-masked]
Date: Wed, 12 Apr 2017 08:51:49 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the IPv6 Operations of the IETF.

        Title           : Basic Requirements for IPv6 Customer Edge Routers
        Author          : Jordi Palet Martinez
	Filename        : draft-ietf-v6ops-rfc7084-bis-01.txt
	Pages           : 29
	Date            : 2017-04-12

Abstract:
   This document specifies requirements for an IPv6 Customer Edge (CE)
   router.  Specifically, the current version of this document focuses
   on the basic provisioning of an IPv6 CE router and the provisioning
   of IPv6 hosts attached to it.  The document also covers several
   transition technologies, as required in a world where IPv4 addresses
   are no longer available, so hosts in the customer LANs with IPv4-only
   or IPv6-only applications or devices, requiring to communicate with
   IPv4-only services at the Internet, are able to do so.  The document
   obsoletes RFC 7084.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-v6ops-rfc7084-bis/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-v6ops-rfc7084-bis-01
https://datatracker.ietf.org/doc/html/draft-ietf-v6ops-rfc7084-bis-01

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-v6ops-rfc7084-bis-01

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Wed, 12 Apr 2017 17:59:54 +0200

Hi all,

As indicated a couple of days ago, I’ve posted a new version.

https://datatracker.ietf.org/doc/draft-ietf-v6ops-rfc7084-bis

It contains a new Annex at the end of the document, reflecting the changes from -00, which basically are what has been discussed in the list the last few days:

1. LW4O6-5 changed to port-restricted to conform with [RFC7596].
2. MAPE-3 changed to port-restricted to conform with [RFC7597].
3. MAPT-3 changed to port-restricted to conform with [RFC7599].
4. [RFC7341] removed from 464XLAT, DS-LITE, MAP-E and MAP-T requirements.
5. [RFC5625] removed from 464XLAT, and included as general LAN requirement.
6. [RFC7618] included as MAY for lw4o6.

Hopefully now that we have some “heat” in the discussion, this version will facilitate interested folks to read over.

Regards,
Jordi

-----Mensaje original-----
De: v6ops <[email-masked]> en nombre de <[email-masked]>
Responder a: <[email-masked]>
Fecha: miércoles, 12 de abril de 2017, 17:51
Para: <[email-masked]>
CC: <[email-masked]>
Asunto: [v6ops] I-D Action: draft-ietf-v6ops-rfc7084-bis-01.txt

    
    Abstract:

    

    
    _______________________________________________
    v6ops mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/v6ops

**********************************************
IPv4 is over
Are you ready for the new Internet ?
http://www.consulintel.es
The IPv6 Company

This electronic message contains information which may be privileged or confidential. The information is intended to be for the use of the individual(s) named above. If you are not the intended recipient be aware that any disclosure, copying, distribution or use of the contents of this information, including attached files, is prohibited.

---

From: <[email-masked]>
Date: Thu, 13 Apr 2017 08:03:19 +0000

Hi Jordi, 

Thank you for this update. 

Putting aside the update/obsolete issue, below some comments:

* 464XLAT is followed by mobile operators. I suggest to remove it from the document because there are plenty IPv6-specific features that need to be supported by a wireless CPE. There is no reason to focus on CLAT while ignoring other specific IPv6 requirements for cellular devices (see for example RFC7849).  

* If you would like to maintain 6rd/6in4, then you may need to structure the various mechanisms, e.g.,

OLD: 

     5.4.  Transition Technologies Support . . . . . . . . . . . . .  15
       5.4.1.  464XLAT . . . . . . . . . . . . . . . . . . . . . . .  15
       5.4.2.  6in4  . . . . . . . . . . . . . . . . . . . . . . . .  15
       5.4.3.  6rd . . . . . . . . . . . . . . . . . . . . . . . . .  17
       5.4.4.  Dual-Stack Lite (DS-Lite) . . . . . . . . . . . . . .  18
       5.4.5.  Lightweight 4over6 (lw4o6)  . . . . . . . . . . . . .  19
       5.4.6.  MAP-E . . . . . . . . . . . . . . . . . . . . . . . .  19
       5.4.7.  MAP-T . . . . . . . . . . . . . . . . . . . . . . . .  20

NEW:

     5.4.  IPv4 Service Continuity over IPv6 Networks . . . . . . . .  15
       5.4.1.  xxxx . . . . . . . . . . . . . . . . . . . . . . .      15
       5.4.x.  xxxx . . . . . . . . . . . . . .  . . . . . . . . .     18
       5.4.x.  xxxxxxxxxx  . . . . . . . . . . . . . . . . . . .       19
       5.4.x.  xxxxx . . . . . . . . . . . . . . . . . . . . . . . .   19
       5.4.x.  xxxxx . . . . . . . . . . . . . . . . . . . . . . . .   20 
     5.5.  IPv6 over IPv4 Networks  . . . . . . . . . . . . . . . . . xxx
       5.x.x.  xxxx  . . . . . . . . . . . . . . . . . . . . . . . .  xxx
       5.x.x.  xxxx . . . . . . . . . . . . . . . . . . . . . . . . .  xx

Cheers,
Med

> -----Message d'origine-----
> De : v6ops [mailto:[email-masked]] De la part de JORDI PALET
> MARTINEZ
> Envoyé : mercredi 12 avril 2017 18:00
> À : [email-masked]
> Objet : Re: [v6ops] I-D Action: draft-ietf-v6ops-rfc7084-bis-01.txt
> 
> Hi all,
> 
> It contains a new Annex at the end of the document, reflecting the changes
> from -00, which basically are what has been discussed in the list the last
> few days:
> 
> Hopefully now that we have some “heat” in the discussion, this version
> will facilitate interested folks to read over.
> 
> Regards,
> Jordi
> 
> 
> This electronic message contains information which may be privileged or
> confidential. The information is intended to be for the use of the
> individual(s) named above. If you are not the intended recipient be aware
> that any disclosure, copying, distribution or use of the contents of this
> information, including attached files, is prohibited.
> 
> 
>

---

From: [email-masked]
Date: Thu, 20 Apr 2017 11:36:41 +0200

Jordi,

> 3. MAPT-3 changed to port-restricted to conform with [RFC7599].

MAPE-3:  The IPv6 CE router MUST perform port-restricted IPv4 Network
            Address Translation (NAT) on IPv4 traffic encapsulated using MAP-E.

These MUST requirements are all wrong.
All these mechanisms support full IPv4 address, or shared IPv4 address.
Or IPv4 prefix.

Ole

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Thu, 20 Apr 2017 11:54:54 +0200

Hi Ole,

Initially I didn’t include such point, because I know you can allocate in the 3 mechs full or shared IPv4 addresses.

However, Mohamed pointed me to the “port-restricted” notation in the RFC of those mechs.

May be the question is just a clarification of how to say it. I think we have 3 choices (actual is 1):

1) 	The IPv6 CE router MUST perform port-restricted IPv4 Network
             Address Translation (NAT) on IPv4 traffic encapsulated using MAP-E.

2)	The IPv6 CE router MUST perform IPv4 Network
             Address Translation (NAT) on IPv4 traffic encapsulated using MAP-E.

3)	The IPv6 CE router MUST perform IPv4 Network
             Address Translation (NAT), including support for port-restricted mode,
       on IPv4 traffic encapsulated using MAP-E.

Regards,
Jordi

-----Mensaje original-----
De: <[email-masked]>
Responder a: <[email-masked]>
Fecha: jueves, 20 de abril de 2017, 11:36
Para: <[email-masked]>
CC: <[email-masked]>
Asunto: Re: [v6ops] I-D Action: draft-ietf-v6ops-rfc7084-bis-01.txt

    Jordi,

    
    
    Ole

---

From: [email-masked]
Date: Thu, 20 Apr 2017 11:59:31 +0200

Jordi,

>       on IPv4 traffic encapsulated using MAP-E.

No. These are all wrong.
This is where things go bad when you try to restate what's written in existing specifications.
Just reference the MAP-E RFC if you want to say something, instead of making faulty requirements.

Ole

---

From: <[email-masked]>
Date: Thu, 20 Apr 2017 11:34:17 +0000

Jordi, 

The suggestion I made is to reuse the wording in the companion specifications. I'm copying/pasting that comment here: 

====
[Med] I have the following comments about the NAT requirements:

OLD:
   LW4O6-4:  The IPv6 CE router MUST perform IPv4 Network Address
             Translation (NAT) on IPv4 traffic encapsulated using lw4o6.

This one should mention port restricted NAT. FWIW, you can reuse the same wording in RFC7596:

"  An lwB4 MUST support dynamic port-restricted IPv4 address
   provisioning.  The port-set algorithm for provisioning this is
   described in Section 5.1 of [RFC7597].  For lw4o6, the number of
   a-bits SHOULD be 0, thus allocating a single contiguous port set to
   each lwB4." 

OLD:
   MAP*-4:  The IPv6 CE router MUST perform IPv4 Network Address
            Translation (NAT) on IPv4 traffic encapsulated using MAP-*.

Idem as above. Port-restricted NAT should be mentioned explicitly. You can reuse this text from RFC7597/RFC7599:

   The NAT44 implemented in the MAP CE SHOULD conform to the behavior
   and best current practices documented in [RFC4787], [RFC5508], and
   [RFC5382].  In MAP address-sharing mode (determined by the MAP
   domain / rule configuration parameters), the operation of the NAT44
   MUST be restricted to the available port numbers derived via the
   Basic Mapping Rule.
====

Cheers,
Med

> Envoyé : jeudi 20 avril 2017 11:55
> À : [email-masked]
> Initially I didn’t include such point, because I know you can allocate in
> the 3 mechs full or shared IPv4 addresses.
>